[Git][debian-gis-team/proj-rdnap][master] Add support for PROJ 6.0.0.

Bas Couwenberg gitlab at salsa.debian.org
Fri Mar 8 16:41:30 GMT 2019


Bas Couwenberg pushed to branch master at Debian GIS Project / proj-rdnap


Commits:
b352dee7 by Bas Couwenberg at 2019-03-08T16:41:21Z
Add support for PROJ 6.0.0.

- - - - -


3 changed files:

- debian/changelog
- debian/patches/add-test.patch
- debian/rules


Changes:

=====================================
debian/changelog
=====================================
@@ -1,6 +1,7 @@
 proj-rdnap (2008-9) UNRELEASED; urgency=medium
 
   * Bump Standards-Version to 4.3.0, no changes.
+  * Add support for PROJ 6.0.0.
 
  -- Bas Couwenberg <sebastic at debian.org>  Thu, 05 Jul 2018 10:57:23 +0200
 


=====================================
debian/patches/add-test.patch
=====================================
@@ -244,7 +244,7 @@ Author: Bas Couwenberg <sebastic at debian.org>
 +]
 --- /dev/null
 +++ b/testrdtrans2008.pl
-@@ -0,0 +1,383 @@
+@@ -0,0 +1,435 @@
 +#!/usr/bin/perl -w
 +#
 +# Script to do some testing of various transformations
@@ -291,6 +291,47 @@ Author: Bas Couwenberg <sebastic at debian.org>
 +	exit 1;
 +}
 +
++if($ENV{PROJ_LIB}) {
++    print "Using PROJ_LIB: $ENV{PROJ_LIB}\n" if($cfg{verbose});
++}
++
++my %proj_version = ();
++
++my ($in, $out, $err) = '';
++
++my @cmd = ('cs2cs');
++
++run \@cmd, \$in, \$out, \$err || die "Error: Command failed: @cmd ($?)";
++
++# Rel. 4.9.3, 15 August 2016
++# Rel. 5.2.0, September 15th, 2018
++# Rel. 6.0.0, March 1st, 2019
++if($err =~ /^Rel\. (\d+)\.(\d+)\.(\d+)(\S*?), /) {
++	%proj_version = (
++                          major => $1,
++                          minor => $2,
++                          patch => $3,
++                          extra => $4,
++                        );
++
++        print "PROJ version: $1.$2.$3$4\n" if($cfg{verbose});
++}
++else {
++	print "Error: Failed to extract version from cs2cs!\n";
++	exit 1;
++}
++
++if($proj_version{major} >= 6) {
++	my $old = 'epsg';
++	my $new = 'epsg.bak';
++
++	print "Renaming: $old to: $new\n" if($cfg{verbose});
++
++	rename($old, $new) || die "Error: Failed to rename: $old -> $new ($!)";
++
++	print "\n" if($cfg{verbose});
++}
++
 +my $json  = read_file($cfg{tests});
 +my $tests = from_json($json);
 +
@@ -627,4 +668,15 @@ Author: Bas Couwenberg <sebastic at debian.org>
 +	}
 +}
 +
++if($proj_version{major} >= 6) {
++	print "\n" if($cfg{verbose});
++
++	my $old = 'epsg.bak';
++	my $new = 'epsg';
++
++	print "Renaming: $old to: $new\n" if($cfg{verbose});
++
++	rename($old, $new) || die "Error: Failed to rename: $old -> $new ($!)";
++}
++
 +exit $errors;


=====================================
debian/rules
=====================================
@@ -7,7 +7,11 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	PROJ_LIB=. perl ./testrdtrans2008.pl -v
+	if [ 6 -le "$(shell cs2cs 2>&1 | head -1 | cut -d' ' -f2 | cut -d'.' -f1)" ]; then \
+	    PROJ_LIB=.:/usr/share/proj perl ./testrdtrans2008.pl -v; \
+	else \
+	    PROJ_LIB=. perl ./testrdtrans2008.pl -v; \
+	fi
 endif
 
 get-orig-source:



View it on GitLab: https://salsa.debian.org/debian-gis-team/proj-rdnap/commit/b352dee74514497e1576bdb91f022b1becbbc035

-- 
View it on GitLab: https://salsa.debian.org/debian-gis-team/proj-rdnap/commit/b352dee74514497e1576bdb91f022b1becbbc035
You're receiving this email because of your account on salsa.debian.org.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/pkg-grass-devel/attachments/20190308/f5a4bd4a/attachment-0001.html>


More information about the Pkg-grass-devel mailing list